Get wallet info | Algorand Developer Portal

Get wallet info

POST

/v1/wallet/info

Returns information about the wallet associated with the passed wallet handle token. Additionally returns expiration information about the token itself.

Authorizations

Request Body

The list of MIME types the operation can consume: application/json

APIV1POSTWalletInfoRequest is the request for POST /v1/wallet/info

object

wallet_handle_token

string

Responses

200

Response to POST /v1/wallet/info

The list of MIME types the operation can produce: application/json

APIV1POSTWalletInfoResponse is the response to POST /v1/wallet/info friendly: WalletInfoResponse

object

error

boolean

message

string

wallet_handle

APIV1WalletHandle includes the wallet the handle corresponds to and the number of seconds to expiration

object

expires_seconds

integer format: int64

wallet

APIV1Wallet is the API’s representation of a wallet

object

driver_name

string

driver_version

integer format: uint32

id

string

mnemonic_ux

boolean

name

string

supported_txs

Array